﻿using UnityEngine.TestTools;
using NUnit.Framework;
using System.Collections;
using KinectModule;

public class KinectAccessManagerTests
{
    KinectAccessManager _KinectAccessManager = new KinectAccessManager();

    [Test]
    public void KinectAccessManagerTestsSimplePasses()
    {
        // Use the Assert class to test conditions.

        _KinectAccessManager.Access();
        Assert.IsTrue(_KinectAccessManager.IsAccess, "Kinect Access Error.");

        _KinectAccessManager.Dispose();
        Assert.IsFalse(_KinectAccessManager.IsAccess, "Kinect Dispose Error.");
    }

    // A UnityTest behaves like a coroutine in PlayMode
    // and allows you to yield null to skip a frame in EditMode
    [UnityTest]
    public IEnumerator KinectAccessManagerTestsWithEnumeratorPasses()
    {
        // Use the Assert class to test conditions.
        // yield to skip a frame
        yield return null;
    }
}
